# disable underlinking, it doesn't work well with plugins
%define _disable_ld_no_undefined 1

Summary: GNOME Settings Daemon
Name: gnome-settings-daemon
Version: 2.26.1
Release: %mkrel 1
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRequires:	gnome-desktop-devel >= 2.25.3
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  libxklavier-devel >= 3.3
BuildRequires:  libxxf86misc-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgnomekbd-devel >= 2.21.4
BuildRequires:	libnotify-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:  pulseaudio-devel
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
#gw: from Fedora, ignore evdev keyboards
Patch2:         gnome-settings-daemon-2.25.2-ignore-layout-if-using-evdev.patch
# (fc) 2.23.6-2mdv don't use X server dpi by default, use 96 instead, should work better with very small screens
Patch3:		gnome-settings-daemon-2.23.6-dpi.patch
# (cg) 2.26.0-2mdv Fedora patches for touchpad support
Patch4: gnome-settings-daemon-2.24.0-fix-touchpad.patch
Patch5: gnome-settings-daemon-2.26.0-support-touchpads.patch
Patch6: gnome-settings-daemon-2.26.0-touchpad-defaults.patch

Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/softwaremap/projects/control-center/

Requires: gnome-screensaver
Requires: gnome-desktop >= 2.23.2
Requires: gnome-themes
Requires: metacity
Suggests: mandriva-theme
Conflicts: gnome-control-center < 2.21.90

%description
GNOME settings daemon manages the configuration of the desktop in the
background.


%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+
Conflicts: libgnome-window-settings-devel < 2.21.5

%description devel
Include files for the GNOME settings daemon

%prep
%setup -q 
%patch2 -p1 -b .ignore-layout-if-using-evdev
%patch3 -p1 -b .dpi
%patch4 -p1 -b .touchpad-fix
%patch5 -p1 -b .touchpad-support
%patch6 -p1 -b .touchpad-edgescroll

%build
autoreconf -i -f
%configure2_5x --enable-gstreamer=0.10
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %name-2.0 --with-gnome --all-name

rm -f %buildroot%_libdir/%name-2.0/*a

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d %{_libexecdir}/%name ]
  then rm -rf %{_libexecdir}/%name 
fi

%post
%define schemas apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_screensaver desktop_gnome_font_rendering desktop_gnome_keybindings desktop_gnome_peripherals_touchpad gnome-settings-daemon apps_gnome_settings_daemon_xrandr
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_icon_cache hicolor

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_xrandr.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_touchpad.schemas
%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas
%_datadir/gnome-control-center/keybindings/50-accessibility.xml
%_datadir/%name
%_datadir/icons/hicolor/*/apps/*
%{_libexecdir}/%name
%dir %{_libdir}/%name-2.0
%{_libdir}/%name-2.0/*.so
%{_libdir}/%name-2.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/%name-2.0/background.gnome-settings-plugin
%{_libdir}/%name-2.0/clipboard.gnome-settings-plugin
%{_libdir}/%name-2.0/dummy.gnome-settings-plugin
%{_libdir}/%name-2.0/font.gnome-settings-plugin
%{_libdir}/%name-2.0/housekeeping.gnome-settings-plugin
%{_libdir}/%name-2.0/keybindings.gnome-settings-plugin
%{_libdir}/%name-2.0/keyboard.gnome-settings-plugin
%{_libdir}/%name-2.0/media-keys.gnome-settings-plugin
%{_libdir}/%name-2.0/mouse.gnome-settings-plugin
%{_libdir}/%name-2.0/screensaver.gnome-settings-plugin
%{_libdir}/%name-2.0/sound.gnome-settings-plugin
%{_libdir}/%name-2.0/typing-break.gnome-settings-plugin
%{_libdir}/%name-2.0/xrandr.gnome-settings-plugin
%{_libdir}/%name-2.0/xrdb.gnome-settings-plugin
%{_libdir}/%name-2.0/xsettings.gnome-settings-plugin
%_datadir/dbus-1/services/*

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/pkgconfig/*



%changelog
* Wed Apr 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 367274
- update to new version 2.26.1

* Sun Apr 12 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-3mdv2009.1
+ Revision: 366486
- Regenerate makefiles due to touchpad support patch
- Package and install touchpad schema files
- Make tap-to-click default to on

* Sat Apr 11 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 366212
- Port touchpad preferences from Fedora + enable edgescroll by default

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355852
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347559
- update to new version 2.25.92

* Fri Feb 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.90-2mdv2009.1
+ Revision: 338032
- Add pulseaudio-devel as buildrequires

* Thu Feb 05 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337701
- new version
- update file list

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315952
- new version
- bump deps

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 308992
- new version
- update patch 2
- update schemas list

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 300180
- rebuild for new  gnome-desktop

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299879
- new version
- update file list

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287362
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282507
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278410
- new version
- update build deps

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273733
- new version
- bump deps

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.6-2mdv2009.0
+ Revision: 273170
- Patch1: don't use X server dpi value by default but 96 instead, should fix huges fonts on very small screens (with high dpi)

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263507
- new version
- update file list

* Fri Jul 25 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 248646
- new version
- add icons

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 231601
- add patch from Fedora for evdev keyboards

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231149
- new version
- drop patch
- bump deps
- update file list

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2.22.2.1-1mdv2009.0
+ Revision: 212724
- new version
- drop patch 0

* Thu May 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-2mdv2009.0
+ Revision: 210079
- Disable underlinking, it doesn't work well with plugins
- Patch0 (SVN): apply background even if nautilus is enabled (GNOME bug #531487)
- Patch1: don't apply background when it is disabled

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192496
- new version
- drop patch 0

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 191664
- Update patch0 with more fixes from SVN

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190652
- Patch0: various fixes from SVN

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183691
- new version
- update gconf schemas list

* Mon Mar 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.92-2mdv2008.1
+ Revision: 178058
- Disable esd support, since we ship with PulseAudio instead (recommended by upstream too)

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 177162
- new version

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.91-3mdv2008.1
+ Revision: 176411
- Add suggests on mandriva-theme (for background)

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 165896
- fix upgrade problem with existing dir %%_libexecdir/%%name

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165342
- new version
- update file list
- fix installation
- update the conflict with gnome-control-center (bug #37664)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.2-1mdv2008.1
+ Revision: 160786
- new version
- drop patch

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-3mdv2008.1
+ Revision: 160714
- fix libexec dir (bug #37369)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-2mdv2008.1
+ Revision: 160709
- rebuild for new libxklavier

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-1mdv2008.1
+ Revision: 159873
- new version
- change back libexec dir

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159760
- new version
- drop patch

* Tue Jan 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5.2-2mdv2008.1
+ Revision: 156264
- Patch0: fix missing XFT xsettings export (Mdv bug #37037, GNOME bug #511221)

  + Götz Waschk <waschk@mandriva.org>
    - improve file list
    - conflict with old devel package

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
+ Revision: 153114
- import gnome-settings-daemon


* Tue Jan 15 2008 Gtz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
- initial package
